* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
  font-family: 'Roboto', sans-serif;
}

body { 
  background-color: #343541;
  overflow-y: hidden;
}

i {
  color: #8e8ea0;
}
i:hover{
  cursor: pointer;
}

.chat-container {
  width: 100%;
  margin: auto; 
  height: 100vh;
  background-color: #343541; 
}

.chat-header {
  background-color: #343541;
  height: 80px;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  padding: 10px 20px;
  color: aliceblue;
  margin-top: 20px;
}

a {
  color: rgb(235, 17, 173);
  text-decoration: none;
}

.chat-header p{
  margin-top: 18px;
  font-size: 14px;
  background-color: #444654; 
  padding: 12px 20px;
  text-align: center;
  border-radius: 5px;
  z-index: 20;
}



.chat-header h1 {
  font-size: 36px;  
  font-weight: 600;
  margin-top: 80px;
}

.chat-history {
  width: 100%;
  height: 500px;
  overflow-y:auto;
  scroll-behavior: smooth;
}

.avatar {
  display: flex;
  align-items: flex-end;
  margin-right: 10px;
  padding-left: 20px;
}

.avatar img {
  width: 35px;
  height: 35px;
  border-radius: 4px;
  box-shadow: 0px 2px 2px rgba(0, 0, 0, 0.3);
}
.message {
  margin-bottom: 20px;
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: flex-start;
}

.message-content {
  display: inline-block;
  padding: 20px 15px; 
  color: azure;
}

.user-message, .bot-message{
  background-color: #444654; 
}

.message-content p {
  font-size: 14px;
  line-height: 1.5;
  margin-bottom: 5px;
}

.chat-input {
  padding: 10px 20px; 
  background-color: #343541;
  margin-bottom: 40px;
}

.chat-input form {
  display: flex;
  width: 50%;
  margin: auto;
}

.chat-input input[type="text"] {
  flex-grow: 1;
  height: 50px;
  padding: 10px;
  border: none;
  border-radius: 0.75rem 0 0 0.75rem;
  background-color: #444654;
  font-size: 14px;
  color: #8e8ea0;
}

input:focus{
outline: none;
}

.chat-input button[type="submit"] {
  padding: 10px 20px;
  border-radius: 0 0.75rem 0.75rem 0;
  border: none;
  background-color: #444654; 
}

/* ------------------ RESPONSIVE ---------------  */

@media (max-width: 600px){
  
  .chat-header h1 {
    font-size: 24px; 
  }

  .chat-header p{
    width: 100%;
    font-size: 10px;
    text-align: center;
    font-size: 14px; 
  }

  .chat-input form{
    width: 100%;
  }
}

/* Cambiar el color de fondo de la barra de desplazamiento */
/* También puedes cambiar el ancho y el color del borde si lo deseas */
/* Asegúrate de ajustar los colores según tus preferencias */
::-webkit-scrollbar {
  width: 4px; /* Ancho de la barra de desplazamiento */
}

::-webkit-scrollbar-thumb {
  background-color: #b5b5b5; /* Color del fondo de la barra de desplazamiento */
  border-radius: 6px; /* Bordes redondeados para la barra de desplazamiento */
}

/* Cambiar el color del thumb (agarre) cuando se esté interactuando con él (hover) */
::-webkit-scrollbar-thumb:hover {
  background-color: #7f7f7f; /* Color del fondo del thumb cuando se pasa el mouse sobre él */
}